<template>
  <div class="button-arrow-wrapper">
    <Button color="blue" class="button-arrow-left" @click="scrollLeft">
      <template #icon>
        <ArrowRight />
      </template>
    </Button>
    <Button color="blue" @click="scrollRight">
      <template #icon>
        <ArrowRight />
      </template>
    </Button>
  </div>
</template>


<script>
import Button from "./common/button.vue";
import ArrowRight from './icons/arrow-right.vue';

export default {
  components: {Button, ArrowRight },
  props: {
    isref: {type: Object, default: null},
  },
  data() {
    return {};
  },
  computed: {},
  created() {},
  mounted() {
    // console.log('vref: ', this.isref);

  },
  updated() {},
  methods: {
    scrollLeft() {
      const content = this.isref;
      content.scrollTo({
        left: (content.scrollLeft -= 500),
        behavior: "smooth",
      });
    },
    scrollRight() {
      const content = this.isref;
      content.scrollTo({
        left: (content.scrollLeft += 500),
        behavior: "smooth",
      });
    },
  },
};
</script>
